local bgColr = LocalBlueColor(0)

local t = Def.ActorFrame {
	Def.Quad{
		OnCommand=function(self)
			self:FullScreen():diffuse(Color.Black):diffusebottomedge(LocalBlueColor(0))
		end
	},
	
	-- rendered too dark
	LoadActor(THEME:GetPathB("_common", "bg3")) .. {
		OnCommand=function(self)
			self:scaletocover(-_screen.cx,-_screen.cy,_screen.cx,_screen.cy):Center():blend(Blend.Add):diffuseshift():effectcolor1(PlayerColor(PLAYER_1)):effectcolor2(PlayerColor(PLAYER_2)):effectperiod(5)
		end
	},
	
	LoadActor(THEME:GetPathB("_common", "halftone")) .. {
		Name = "pattern",
		OnCommand=function(self)
			self:Center():zoomto(_screen.w,_screen.h):customtexturerect(0,0,_screen.w/512,_screen.h/512):texcoordvelocity(0.01,0):
				diffuse(color("0,0," .. bgColr[3] .. ",1")):blend(Blend.Add)
		end
	},
	LoadActor(THEME:GetPathB("_common", "halftone")) .. {
		Name = "pattern",
		OnCommand=function(self)
			self:Center():zoomto(_screen.w,_screen.h):customtexturerect(0,0,_screen.w/512,_screen.h/512):texcoordvelocity(-0.01,0):
				diffuse(color("0," .. bgColr[2] .. ",0,1")):blend(Blend.Add)
		end
	},
}

return t
